#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><>        Prinesweeper        <><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<> (c)Roland Pfister - roland_pfister@t-online.de <>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#

pcl_file = "Prinesweeper.pcl";
response_matching = simple_matching;
default_font_size = 20;
default_font = "Arial";

active_buttons = 4;
#Mapping: 1 = left mouse button,  2 = left (up),
#         3 = right mouse button, 3 = right(up).	 
button_codes = 1,2,3,4;






#<><><><><><><><><><><><><><><><><><><><><><><><><><>#
#<><><><><><><>          SDL           <><><><><><><>#
#<><><><><><><><><><><><><><><><><><><><><><><><><><>#

begin;



#***************************************************#
#*************         Stimuli         *************#
#***************************************************#

#Cursor.
line_graphic {
	polygon_coordinates = 0,0,  0,-15,  1,-16,  4,-13,  7,-18,  8,-18,  9,-17,  9,-16,  7,-13,  7,-12,  11,-12,  11,-11,  0,0;
	#fill_color = 10, 10,10;
	#line_color = 200, 200,200;
	fill_color = 200, 200,200;
	line_color = 10, 10,10;
	line_width = 1;
}cursor;

#Menu.
box { height = 24; width = 24; color =  50, 50, 50; } menu_box;
text { caption = "Prinesweeper"; font_color =  20,100,180; } Prinesweeper;
text { caption = "(c) Roland Pfister\nroland_pfister@t-online.de"; font_color =  50, 50, 50; font_size = 14;} Email;
text { caption = "Easy"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_easy;
text { caption = "Medium"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_medium;
text { caption = "Hard"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_hard;
text { caption = "Custom"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_custom;
text { caption = "1"; height = 50; width = 50; background_color =  20,100,180; font_color =  20, 10,180; font_size = 20;  } text_m1;
text { caption = "2"; height = 50; width = 50; background_color =  20,100,180; font_color =   0,128,  0; font_size = 20;  } text_m2;
text { caption = "3"; height = 50; width = 50; background_color =  20,100,180; font_color = 227,  0,  0; font_size = 20;  } text_m3;
text { caption = "?"; height = 50; width = 50; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_mp;

#Custom Menu.
text { caption = "Rows:"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_nrows;
text { caption = "Columns:"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_ncolumns;
text { caption = "Mines:"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_nmines;
text { caption = " "; height = 50; width = 50; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_i1;
text { caption = " "; height = 50; width = 50; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_i2;
text { caption = " "; height = 50; width = 50; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_i3;
text { caption = "X"; height = 50; width = 50; background_color =  20,100,180; font_color = 128,  0,  0; font_size = 20;  } text_xp;
text { caption = "Maximal number of rows: 19\nMaximal number of columns: 19\nMaximal number if mines:    *\n---------------------------\n* (rows*columns)-1"; font_color =  50, 50, 50; font_size = 14; } text_info;

#Feedback.
text { caption = " "; height = 50; width = 500; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_feedback;
text { caption = "Continue"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_continue;
text { caption = "Quit"; height = 50; width = 200; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 20;  } text_quit;
text { caption = "X"; height = 24; width = 24; background_color =  20,100,180; font_color =  128,  0,  0; font_size = 14;  } text_mine;

#Flags.
text { caption = "?"; height = 24; width = 24; background_color =  20,100,180; font_color =  50, 50, 50; font_size = 14;  } "text_p";
text { caption = "1"; height = 24; width = 24; background_color =  20,100,180; font_color =  20, 10,180; font_size = 14;  } "text_1";
text { caption = "2"; height = 24; width = 24; background_color =  20,100,180; font_color =   0,128,  0; font_size = 14;  } "text_2";
text { caption = "3"; height = 24; width = 24; background_color =  20,100,180; font_color = 227,  0,  0; font_size = 14;  } "text_3";
text { caption = "4"; height = 24; width = 24; background_color =  20,100,180; font_color =   0,  0,128; font_size = 14;  } "text_4";
text { caption = "5"; height = 24; width = 24; background_color =  20,100,180; font_color = 117,  2,  0; font_size = 14;  } "text_5";
text { caption = "6"; height = 24; width = 24; background_color =  20,100,180; font_color =   0,130,132; font_size = 14;  } "text_6";
text { caption = "7"; height = 24; width = 24; background_color =  20,100,180; font_color = 132,  0,132; font_size = 14;  } "text_7";
text { caption = "8"; height = 24; width = 24; background_color =  20,100,180; font_color =   0,  0,  0; font_size = 14;  } "text_8";
array {
   LOOP $z 8;
   $y = '$z + 1';
   text "text_$y";
   ENDLOOP;
} "a_mines";

#Boxes.
array {
   LOOP $z 400;
   $y = '$z + 1';
   box { height = 24; width = 24; color =  0, 80,160; } "box_$y";
   ENDLOOP;
} "a_boxes";



#***************************************************#
#***********      Pictures & Trials      ***********#
#***************************************************#

#Main Menu.
picture { 
	line_graphic cursor; x = 0; y = 0; 
	text text_easy; x = 0; y = 200;
	text text_medium; x = 0; y = 125;
	text text_hard; x = 0; y = 50;
	text text_custom; x = 0; y = -75;
	text text_m1; x = 150; y = 200;
	text text_m2; x = 150; y = 125;
	text text_m3; x = 150; y =  50;
	text text_mp; x = 150; y = -75;
} MainMenu;

#Main Menu Trial.
trial {
	trial_duration = 20;
   all_responses = true;
	picture MainMenu;
} main_trial;

#Custom Menu.
picture { 
	#line_graphic cursor; x = 0; y = 0;
	text Prinesweeper; x = -150; y = 0;
	text text_nrows; x = 0; y = 200;
	text text_ncolumns; x = 0; y = 125;
	text text_nmines; x = 0; y = 50;
	text text_custom; x = 0; y = -75;
	text text_i1; x = 150; y = 200;
	text text_i2; x = 150; y = 125;
	text text_i3; x = 150; y =  50;
	text text_xp; x = 150; y = -75;
	text text_info; x = 40; y = -165;
} CustomMenu;

#Custom Menu Trial.
trial {
	trial_duration = stimuli_length;
	#trial_duration = 4000;
   all_responses = true;
	picture CustomMenu;
} custom_trial;

#Game Board.
picture { 
	line_graphic cursor; x = 0; y = 0;
	text { caption = "Mines left:"; } minesleft_text; x = -30; y = 0;
	text { caption = "many"; } many_text; x = 70; y = 0;
} GameWindow;

#Game Trial.
trial {
	trial_duration = 20;
   all_responses = true;
	picture GameWindow;
} game_trial;

#Feedback trial.
trial {
	trial_duration = 20;
   all_responses = true;
	picture GameWindow;
} feedback_trial;